# Powerdown – de interrupt methode
# Import the modules to send commands to the system and access GPIO pins
from subprocess import call
import RPi.GPIO as gpio

# Define a function to keep script running
def loop():
      raw_input()
# Define a function to run when an interrupt is called

def shutdown(pin):
      call('halt', shell=False)
# Set pin numbering to board numbering
gpio.setmode(gpio.BOARD)
# Set up pin 7 as an input
gpio.setup(7, gpio.IN)
# Set up an interrupt to look for button presses
gpio.add_event_detect(7, gpio.RISING, callback=shutdown, bouncetime=200)
# Run the loop function to keep script running
loop()

